[arch-commits] Commit in soprano/kde-unstable (PKGBUILD redland.patch)

Pierre Schmitz pierre at archlinux.org
Wed Jan 20 01:17:24 EST 2010


    Date: Wednesday, January 20, 2010 @ 01:17:24
  Author: pierre
Revision: 64414

Allan broke it again

Added:
  soprano/kde-unstable/redland.patch
Modified:
  soprano/kde-unstable/PKGBUILD

---------------+
 PKGBUILD      |    8 +++++---
 redland.patch |   12 ++++++++++++
 2 files changed, 17 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-20 05:33:43 UTC (rev 64413)
+++ PKGBUILD	2010-01-20 06:17:24 UTC (rev 64414)
@@ -4,7 +4,7 @@
 
 pkgname=soprano
 pkgver=2.3.70.20100119
-pkgrel=1
+pkgrel=2
 pkgdesc='A library which provides a highly usable object-oriented C++/Qt4 framework for RDF data'
 arch=('i686' 'x86_64')
 url='http://soprano.sourceforge.net/'
@@ -12,11 +12,13 @@
 depends=('qt' 'clucene' 'redland' 'libiodbc' 'virtuoso')
 makedepends=('cmake')
 #source=("http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.bz2")
-source=("ftp://ftp.archlinux.org/other/kde/${pkgname}-${pkgver}.tar.bz2")
-md5sums=('9a4818a8712828728fb835039d59aabf')
+source=("ftp://ftp.archlinux.org/other/kde/${pkgname}-${pkgver}.tar.bz2"
+        'redland.patch')
 
 build() {
   cd "${srcdir}"
+  # FIXME: ask upstream
+  patch -p0 -i $srcdir/redland.patch || return 1
   mkdir build
   cd build
   # we need the rpath

Added: redland.patch
===================================================================
--- redland.patch	                        (rev 0)
+++ redland.patch	2010-01-20 06:17:24 UTC (rev 64414)
@@ -0,0 +1,12 @@
+diff -u -Nura soprano-2.3.70.20100119/cmake/modules/FindRedland.cmake soprano-2.3.70.20100119.new/cmake/modules/FindRedland.cmake
+--- soprano-2.3.70.20100119/cmake/modules/FindRedland.cmake	2010-01-19 09:53:38.000000000 +0100
++++ soprano-2.3.70.20100119.new/cmake/modules/FindRedland.cmake	2010-01-20 07:10:36.735873069 +0100
+@@ -106,7 +106,7 @@
+       ARGS ${_REDLAND_STORAGE_LIBS}
+     )
+     if(NOT "${_TEST_EXITCODE}" EQUAL 0)
+-      set(_REDLAND_VERSION_OK)
++#      set(_REDLAND_VERSION_OK)
+       message(STATUS "${_OUTPUT}")
+       message(STATUS "Redland with broken NEEDED section detected, disabling")
+     endif(NOT "${_TEST_EXITCODE}" EQUAL 0)



More information about the arch-commits mailing list